Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

What is the basic process to deal with breakage in a MacPorts "port upgrade outdated"? From looking at the bug, it seems that the package may build for +macosx but not +universal; the bug seems not to have been changed since then. The output is:

bash-3.2# port upgrade outdated
--->  Computing dependencies for py26-cairo
--->  Dependencies to be installed: py26-numpy
--->  Building py26-numpy
Error: Target org.macports.build returned: shell command failed
Log for py26-numpy is at: /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_ports_python_py26-numpy/main.log
Error: The following dependencies failed to build: py26-numpy
Error: Problem while installing py26-cairo
To report a bug, see <http://guide.macports.org/#project.tickets>
bash-3.2# 

What is the basic approach to get past this kind of blockage?

I get the same error if I try:

 bash-3.2# port upgrade outdated +macosx

The bug is at http://trac.macports.org/ticket/23244; the last addition to a long comment stream besides a CcMe was 6 weeks ago.

Is this silence just evidence that it's not getting fixed anytime soon? Adding -universal to port commands didn't seem to get past the same basic sticking point.

share|improve this question
    
Check /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org‌​_release_ports_python_py26-numpy/main.log (and maybe add this to your question), there should be information what went wrong. –  SvW Sep 4 '10 at 16:12
    
Thank you; that's at pastebin.com/memRx5J1 –  Jonathan Hayward Sep 4 '10 at 19:27
add comment

Know someone who can answer? Share a link to this question via email, Google+, Twitter, or Facebook.

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Browse other questions tagged or ask your own question.